'use strict';

import React from 'react';
import { observer } from 'mobx-react';
import './index.less';
import { _asyncThrottle, _throttle } from '../../utils/utils.ts';
import { ModalCtrl } from '@/core/ctrls/ModalCtrl';
import store from "@/store/store.js";
import { PageCtrl } from "@/core/ctrls/PageCtrl";
import HomePage from '@/pages/HomePage/HomePage.tsx';

@observer
class QRCodePopup extends React.Component {
    constructor(props) {
        super(props);
    }

    //关闭
    onClose = () => {
        ModalCtrl.closeModal();
    }

    //我知道了
    onKnow = ()=>{
        ModalCtrl.closeModal();
    }

    render() {
        return (
            <div className="QRCodePopup">
                <div className="qrcp_mask"></div>
                <div className='qrcp_bg'>
                    <div className='qrcp_icon'></div>
                </div>
                <div className='qrcp_close' onClick={()=>this.onClose()}></div>
            </div>
        );
    }
};

export default QRCodePopup;